<?php
// index.php

/***************************************************
 * phpGuildmaster
 * 
 * @author 			Matthew Lindberg
 * @start_date		01-15-05
 * @last_modified	04-14-05
 *
 *
 ***************************************************/

include( 'lib/util/Stopwatch.php');
$timer =& new Stopwatch();
$timer->start();

include( 'includes/config.inc' );
include( 'lib/debug/PhpCodeSite.php');
include( 'lib/util/Request.php' );
include( 'lib/db/MySQLDataAccess.php');
include( 'core/FrontController.php');
include( 'core/Session.php');

$__CS =& new PhpCodeSite(__DEBUGON);
$__CS->DisplayInputData();

$data_access 	=& new MySQLDataAccess(__DB_HOST,__DB_USER,__DB_PASS,__DB);
$session		=& new Session();
$front_control 	=& new FrontController(& $data_access, & $session, & $timer);

// Grab an application request and process it
$request 		=& new Request();
$front_control->processRequest(& $request);
?>

